#### D.6.20.4 is_active

Procedure from library `sing.lib` (see sing_lib).

Usage:
  is_active(f,id); f poly, id ideal or module

Return:
  1 if f is an active element modulo id (i.e. dim(id)=dim(id+f*R^n)+1, if id is a submodule of R^n) resp. 0 if f is not active. The basering may be a quotient ring

Note:
  regular parameters are active but not vice versa (id may have embedded components). proc is_reg tests whether f is a regular parameter

Example:

    LIB "sing.lib";
    ring r   =32003,(x,y,z),ds;
    ideal i  = yx3+y,yz3+y3z;
    poly f   = x;
    is_active(f,i);
    ==> 1
    qring q  = std(x4y5);
    poly f   = x;
    module m = [yx3+x,yx3+y3x];
    is_active(f,m);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.